Package com.android.server.os

# Class LinphoneTombstoneProtos.CrashDetail.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.CrashDetail,LinphoneTombstoneProtos.CrashDetail.Builder>
com.android.server.os.LinphoneTombstoneProtos.CrashDetail.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.CrashDetailOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.CrashDetail

public static final class LinphoneTombstoneProtos.CrashDetail.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.CrashDetail,LinphoneTombstoneProtos.CrashDetail.Builder> implements LinphoneTombstoneProtos.CrashDetailOrBuilder

     NOTE TO OEMS:
     If you add custom fields to this proto, do not use numbers in the reserved range.

Protobuf type `CrashDetail`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.CrashDetail.Builder`
`clearData()`
`bytes data = 2;`
`LinphoneTombstoneProtos.CrashDetail.Builder`
`clearName()`
`bytes name = 1;`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 2;`
`com.google.protobuf.ByteString`
`getName()`
`bytes name = 1;`
`LinphoneTombstoneProtos.CrashDetail.Builder`
`setData(com.google.protobuf.ByteString value)`
`bytes data = 2;`
`LinphoneTombstoneProtos.CrashDetail.Builder`
`setName(com.google.protobuf.ByteString value)`
`bytes name = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getName

public com.google.protobuf.ByteString getName()
`bytes name = 1;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.CrashDetailOrBuilder`
Returns:
  The name.

### setName

public LinphoneTombstoneProtos.CrashDetail.Builder setName(com.google.protobuf.ByteString value)
`bytes name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public LinphoneTombstoneProtos.CrashDetail.Builder clearName()
`bytes name = 1;`

Returns:
  This builder for chaining.

### getData

public com.google.protobuf.ByteString getData()
`bytes data = 2;`

Specified by:
  `getData` in interface `LinphoneTombstoneProtos.CrashDetailOrBuilder`
Returns:
  The data.

### setData

public LinphoneTombstoneProtos.CrashDetail.Builder setData(com.google.protobuf.ByteString value)
`bytes data = 2;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public LinphoneTombstoneProtos.CrashDetail.Builder clearData()
`bytes data = 2;`

Returns:
  This builder for chaining.